## man2html 1.5

=== Makefile ===
#
# vh-man2html
# -----------
#
# Makefile
#                                                             Michael Hamilton 
#                                                        michael@actrix.gen.nz
# ----------------------------------------------------------------------------
# Set these to your desires...
# They over ride the defaults built into the C code and scripts.
#
# CGIBASE is defined relative to the current server.
# If CGIBASE starts with a relative "http:..." address (ie not "http://.."),
# man2html will insert the httpd's server name (as reported by the 
# SERVER_NAME environment variable) into server any redirects it generates
#  ie a redirect of        location: http:/cgi-bin/...
#     will be returned as  location: http://server_name/cgi-bin/...
# This is so that remote browsers will receive the necessary server 
# address on redirects.
#
# Installation configuration:
#
CACHE_DIR  = /var/man2html
CGI_BIN    = cgi-bin
CGI_DIR    = $(HTTP_HOME)/$(CGI_BIN)
CGIBASE    = http:/$(CGI_BIN)/man2html
HTTP_HOME  = /home/httpd
HTML_DIR   = $(HTTP_HOME)/html
OWNER      = root.root
BIN_DIR    = /usr/bin
MAN_DIR1   = /usr/man/man1
MAN_DIR8   = /usr/man/man8

#
# Man config file as per Linux man-1.4g.
# Comment out if there is no man.config file - in which case you will
# have to edit man2html.c to alter the man path.
#
MAN_CONFIG = /etc/man.config

#
# Man2html Uses popen with man.config decompressor info to decompress man
# source.  The popen parameters are checked for possible hacking attempts,
# and strings passed to man2html are prevented from over-running memory.
# Uncomment the following to disable this feature.  This makes the cgi 
# program more secure - i.e. no popen() calls.
#
# DISABLE_ZCATS = TRUE

#
# If the following is defined the man2html -M option can be used to point
# man2html at man pages outside of the normal hierarchy.  By default (in 
# version 1.4 and above) -M only allows the user to select what part of 
# the hierarchy to search first - they cannot specify a path outside of
# the official hierarchy.
#
# UNSECURE_MANPATH = TRUE
#

#
# Programs used:
#
AWK_PROG   = /usr/bin/awk
MAN_PROG   = /usr/bin/man
FIND_PROG  = /usr/bin/find
EGREP_PROG = /usr/bin/egrep


#
# Compiler options:
# -fno-strength-reduce is in case this gcc has a bug.
#
DEFINES = -DTOPLEVELDOC='"$(TOPLEVELDOC)"' -DCGIBASE='"$(CGIBASE)"' -DMAN_CONFIG='"$(MAN_CONFIG)"'
#
CFLAGS = -O2 -fno-strength-reduce $(DEFINES)
#CFLAGS = -O0 -g -fno-strength-reduce $(DEFINES)

#
# Installer program:
#
INSTALL = install


# UNLESS YOU WANT TO CHANGE THE RPM CONFIG, NOTHING BELOW THIS LINE NEEDS
# EDITING.
# ----------------------------------------------------------------------------
#
# The name of the cwd must be PACKAGENAME in order to build an rpm
#
# The following are used to construct source and binary rpm's.
RPM_PROG = rpm-1.4
PACKAGENAME = vh-man2html-1.5
TARFILE =  $(PACKAGENAME).tar.gz
SPECFILE = $(PACKAGENAME).spec
SPECLOC = /usr/src/SPECS
SOURCELOC = /usr/src/SOURCES
#
# The following commands will edit the scripts - works on freshly untar'ed
# source only (ie can't be undone by reapplication).
#
SED_SCRIPT = \
 -e s?/home/http/cgi-bin?$(CGI_DIR)?g \
 -e s?/home/http/html?$(HTML_DIR)?g \
 -e s?/var/man2html?$(CACHE_DIR)?g \
 -e s?/usr/bin/awk?$(AWK_PROG)?g \
 -e s?/usr/bin/man?$(MAN_PROG)?g \
 -e s?/usr/bin/find?$(FIND_PROG)?g \
 -e s?/usr/bin/egrep?$(EGREP_PROG)?g
#
TOPLEVELDOC = $(HTML_DIR)/man.html
#
#
INCLUDES =
BROWSER = netscape-man
SCRIPTS = manwhatis mansec mansearch
HTML_FILES =  man.html mansearch.html mansearchhelp.html
SERVER_FILES = man2html $(SCRIPTS)
DIST_FILES = $(BROWSER) $(SCRIPTS) $(HTML_FILES) man2html.8 netscape-man.1 


targets: man2html $(DIST_FILES)

man2html: man2html.c
	$(CC) $(CFLAGS) $< -o $@

$(DIST_FILES): Makefile $(addprefix dist/,$(DIST_FILES))
	sed $(SED_SCRIPT) dist/$@ > $@

install: targets
	strip man2html; \
	for i in $(SERVER_FILES); do \
	  $(INSTALL) $$i $(CGI_DIR) ; \
	  chown $(OWNER) $(CGI_DIR)/$$i ; \
	done ; \
	for i in $(HTML_FILES); do \
	  $(INSTALL) $$i $(HTML_DIR) ; \
	  chown $(OWNER) $(HTML_DIR)/$$i ; \
	done ; \
	$(INSTALL) $(BROWSER)         $(BIN_DIR) ; \
	$(INSTALL) man2html.8         $(MAN_DIR8) ; \
	$(INSTALL) netscape-man.1     $(MAN_DIR1) ; \
	if [ \! -d $(CACHE_DIR) ] ; then \
		mkdir $(CACHE_DIR) ; chmod o=rwxt $(CACHE_DIR); \
	fi; \
	cp glimpse_filters $(CACHE_DIR)/.glimpse_filters

rpm: spotless
	(cd ..; tar cvzf $(SOURCELOC)/$(TARFILE) $(PACKAGENAME) ) ; \
	cp $(SPECFILE) $(SPECLOC)/$(SPECFILE)
	$(RPM_PROG) -ba -v $(SPECFILE)

clean:
	-rm *.o *~

spotless: clean
	-rm man2html
	-rm `ls dist`

## man2html 1.6f%2Brepack

=== debian/changelog ===
man2html (1.6f+repack-1+squeeze1) stable-security; urgency=high

  * man2html.cgi.c: Validate user input and make some error messages less
    verbose to prevent XSS attacks (CVE-2011-2770).

 -- Robert Luberda <robert@debian.org>  Thu, 03 Nov 2011 20:17:54 +0100

man2html (1.6f+repack-1) unstable; urgency=low

  * Remove misleading message from postinst (closes: #582115).
  * Standards-Version: 3.8.4
  * Add short descriptions for all patches (lintian).

  * Switch to the 3.0 (quilt) source format:
    + no longer use dbs (closes: #576055);
    + rebuild the original source tarball;
    + remove Readme.source file.
  * Bump debhelper to v7.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Jun 2010 14:58:08 +0200

man2html (1.6f-3) unstable; urgency=low

  * 031-man2html-BR-empty-line.patch: new patch to ignore font change 
    requests that are note followed by any words (closes: #489181).
  * 032-man2html-man-remove-LO-lines: remove `.LO 1' (lintian).
  * Rename debian/README.build to debian/README.source.
  * Standards-Version: 3.8.0.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Sep 2008 11:08:44 +0200

man2html (1.6f-2) unstable; urgency=low

  * Change doc-base section to Help.
  * Build with debhelper v6.
  * Remove override file for linda.
  * Add copyright notice (lintian).

 -- Robert Luberda <robert@debian.org>  Tue, 15 Apr 2008 22:52:58 +0200

man2html (1.6f-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3 (no changes).
  * 030-man2html-man-hyphens.patch: fix lintian's `hyphen-used-as-minus-sign'.
  * Move url from Description: to the Homepage field.
  * Recommends: apache2 instead of apache, which is no longer available.
  * cron.weekly: use ionice to lower I/O priority.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Jan 2008 11:17:10 +0100

man2html (1.6e-3) unstable; urgency=low

  * Fix package description (closes: #427901).
  * Remove unecessary redirection to /dev/null in debian/prerm.

 -- Robert Luberda <robert@debian.org>  Sun, 01 Jul 2007 11:30:33 +0200

man2html (1.6e-2) unstable; urgency=low

  * Upload to unstable.
  * Problem with parsing tables has been fixed by upstream (closes: #385158).
  * 023-man2html-double-quotes (new): properly decode double quotes inside the
    quoted text (closes: #406098).
  * 024-man2html-uncompress (new):
     + add support for uncompressing gzipped man pages;
     + if the requested page does not exist, try to serve gzipped one
       instead (closes: #418771).
  * 025-man2html-macro-all-args (new): handle \$* and \$@ escapes.
  * 026-man2html-macro-longname (new): support macro names longer than two
    chars (closes: #408232).
  * 027-man2html-macro-priority (new): parse user-defined macros before the
    global ones (closes: #5587).
  * 028-man2html-segfault (new): fix segfault when viewing groff(7) page.
  * 029-man2html-new-macros (new): handle \[xx] escapes and add a few commonly
    used char/string definitions.
  * 017-man2html.seealso (updated): fix comments in man2html(1) page.

 -- Robert Luberda <robert@debian.org>  Thu, 26 Apr 2007 10:01:11 +0200

man2html (1.6e-1) experimental; urgency=low

  * New upstream version.
  * debian/rules: recode the new Italian man pages from dos to unix file
    format.
  * 022-man2html-it-manpage.patch: fix syntax error in the Italian man2html(1) 
    page.

 -- Robert Luberda <robert@debian.org>  Thu,  1 Feb 2007 22:38:24 +0100

man2html (1.6c-6) unstable; urgency=low

  * Initial Galician translation of debconf templates (closes: #412522).

 -- Robert Luberda <robert@debian.org>  Mon, 26 Feb 2007 21:49:29 +0100

man2html (1.6c-5) unstable; urgency=low

  * Russian translation of debconf templates (closes: #406868).

 -- Robert Luberda <robert@debian.org>  Wed, 31 Jan 2007 00:18:22 +0100

man2html (1.6c-4) unstable; urgency=low

  * swish++.conf: Add `WordThreshold 50000' and `StoreWordPositions no'
    to make index++ consume less memory and disk space (closes: #327767).
  * Standards-Version: 3.7.2 (no changes needed). 

 -- Robert Luberda <robert@debian.org>  Sun,  7 Jan 2007 00:39:25 +0100

man2html (1.6c-3) unstable; urgency=low

  * Initial Italian translation of man2html debconf messages (closes: #358161).
  * Recode the French man page into ISO-8859-1 (closes: #363383).
  * 021-man2html-perl-modules: Add support for Perl modules (closes: #363384)
    Thanks to Nicolas François for the patch.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 18:16:02 +0200

man2html (1.6c-2) unstable; urgency=low

  * manwhatis.c: When checking if the manwhatis cache file need to be
    refreshed check timestamps of all the possible index files man-db
    could use for its database. Also force refresh if none such a file
    could be found (closes: #357471).

 -- Robert Luberda <robert@debian.org>  Sat, 18 Mar 2006 16:57:03 +0100

man2html (1.6c-1) unstable; urgency=low

  * New upstream version.
  * 018-man2html-quotes: add support for \(lq and \(rq escape sequences
    (closes: #338339).
    Thanks to Nils Rennebarth <Nils.Rennebarth#web.de> for the patch.
  * 019-man2html-noindex-segfault: fix segfault on man pages with no 
    sections (see bug #349907).
  * 020-man2html-escape_N: add support for \N'n' groff sequences
    (closes: #348553).
  * Add Portuguese translation of man2html debconf messages (closes: #336933).
  * Removed 016-man2html.formstring, applied upstream.
  * debian/rules: Include translated man pages in the binary package.
  * debian/control: bump build-dependency on debhelper as we make use of
    `dh_installman --language'
  * debian/copyright: recode into UTF-8, minor update.

 -- Robert Luberda <robert@debian.org>  Thu,  9 Feb 2006 19:54:35 +0100

man2html (1.6-3) unstable; urgency=low

  * Initial Swedish translation of man2html debconf messages (closes: #331555).
  * Minor correction in mansearch output.
  * Add linda overrides file for 'non-standard-dir-perm' warning.



## man2html 1.6f+repack

=== debian/control ===
Source: man2html
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4

Package: man2html
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, man-db (>= 2.4.1), debianutils (>= 2.1)
Suggests: manpages, manpages-dev, swish++, lynx | www-browser
Recommends: apache2 | httpd-cgi | lynx
Description: browse man pages in your web browser
 Point your web browser at http://localhost/cgi-bin/man/man2html to read and
 search your manpages in the browser.
 .
 Features:
  * Fast C CGI program for man/BSD-mandoc to HTML conversion.
  * Works from the unformatted nroff/troff source.
  * Source may be compressed.
  * Does tbl tables (but not eqn equations).
  * Generates hypertext links to foobar(1), abc@host, and xyzzy.h files
  * CGI script for whatis-based alpha-indexes by section.
  * CGI script for name-only alpha-indexes by section.
  * CGI script for full text search (requires swish++)
  * Front-end script to talk to a pre-launched netscape.
Homepage: http://users.actrix.gen.nz/michael/vhman2html.html

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
# $Id: rules 234 2010-06-12 12:58:15Z robert $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/$(shell dh_listpackages)
SHELL=/bin/bash
TMPMAN=debian/tmp.man


export DEBIAN_CFLAGS=-Wall -Wshadow -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEBIAN_CFLAGS += -O0
else
  DEBIAN_CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp: $(patched)
	dh_testdir
	# Add here commands to configure the package.
	./configure -d +fhs
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp: $(patched)
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) makefiles && \
	$(MAKE) -C src version.h && \
	$(MAKE) -C man2html
	cd debian/sources && $(MAKE) CC=gcc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -rf $(TMPMAN)
	test ! -f Makefile || $(MAKE) clean
	cd debian/sources && $(MAKE) clean
	dh_clean
 
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) -C man2html PREFIX=$(DESTDIR) install  install-hman 
	cd debian/sources && $(MAKE)  PREFIX=$(DESTDIR) install 

	chown root:www-data $(DESTDIR)/var/cache/man2html
	chmod 0775 $(DESTDIR)/var/cache/man2html

	mkdir -p $(TMPMAN)

	find man man2html/locales -name 'man2html.*' -o -name 'hman.*' | while read mp; do \
		lang=`echo $$mp| sed -e 's|.*/\(..\)/[^/]*$$|\1|'` ; \
		file="$(TMPMAN)/`basename $$mp`"; \
		[ "$$lang" != "en"  ] || continue; \
		echo "Installing $$mp man page ($$lang)" ; \
		tr -d '\015' < "$$mp" > "$$file" || exit 1; \
		dh_installman --language "$$lang" "$$file"  || exit 1; \
	done
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs man2html/README man2html/TODO
	dh_installexamples
	dh_install 
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xcache
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_python
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## man2html 1.6g

=== debian/changelog ===
man2html (1.6g-14) unstable; urgency=medium

  * Update 037-man2html-Nm-and-Bk-mdoc.patch to fix small regression
    caused by changes in .Bk macro (closes: #902606), and to fix
    handling of .Nm containing punctation-only argument.

 -- Robert Luberda <robert@debian.org>  Wed, 06 Jan 2021 00:32:55 +0100

man2html (1.6g-13) unstable; urgency=medium

  * Add the following patches:
    + 037-man2html-Nm-and-Bk-mdoc.patch to ensure that .Nm mdoc macro
      properly remembers command name, and .Bk ignores -word option
      (closes: #902606);
   + 038-man2html-colon-escape-sequence.patch to handle '\:' sequence
     in the same way as '\%' is handled, i.e. by replacing it with an
     empty string (closes: #922704);
   + 039-hman-sensible-browser-by-default.patch to fix 'executable
     rejected due to location or path' lynx error by using
     sensible-browser instead of lynx by default (closes: #963031).
     Add a NEWS entry about how to reenable lynxcgi in hman.
  * man2html.cgi.c: refactor trim_compress_suffix method to get rid
    of gcc warning.
  * Bump debhelper's compat version to 13.
  * Convert national encoding of debian/po/*.po files to UTF-8 (lintian).
  * Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Dec 2020 16:43:53 +0100

man2html (1.6g-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Robert Luberda ]
  * Switch to debhelper v12.
  * Document in both README.Debian, and the package's description that
    installation of man2html might require enabling of CGI module of HTTP
    server manually (closes: #798931, #804204, LP: #1271032).
    This documentation is based on recent Osamu Aoki's work for dwww package.
  * Restrict access to localhost only when running on apache2. Document
    this change in README.Debian, and in debian/NEWS.
  * man2html.cgi.c:
    + fix determining what is section name vs. man page name, so that it is
       now possible to find 7z(1) man page;
    + do not restrict section names to two chars only, to properly show
      man pages for example from section 1posix.
  * manwhatis.c:
    + make sure generated links include the whole section name, instead of
      only its first character;
    + switch generated links to 'section+man page' order to match to the
      links produced by man2html itself.
  * Update 010-aux-debian.patch with correct link to swish++ home page.
  * mansearch: use https for links to debian.org sites.
  * debian/control:
    + depend on sensible-utils instead of debianutils (lintian);
    + remove outdated 'Breaks' and 'Replaces';
    + Standards-Version: 4.4.0.

 -- Robert Luberda <robert@debian.org>  Sat, 03 Aug 2019 16:17:05 +0200

man2html (1.6g-11) unstable; urgency=medium

  * Mark man2html-base Multi-Arch: foreign (closes: #889755).
    Thanks to Helmut Grohne for the patch.
  * manwhatis.c: Fix gcc warning by checking result of fgets() call.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Feb 2018 15:52:16 +0100

man2html (1.6g-10) unstable; urgency=medium

  * Use debhelper v11, and enable all hardening options.
  * Switch debian/control to DEP-5 format.
  * debian/control:
    + suggests and alternative depends on lynx instead of lynx-cur package
      (closes: #882283);
    + set Rules-Requires-Root to binary-targets due to usage of chmod;
    + sort the file with `wrap-and-sort' command;
    + bump Standards-Version to 4.1.3.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2018 16:50:51 +0100

man2html (1.6g-9) unstable; urgency=medium

  * Add 036-fix-tbl-font-parsing.patch not to ignore the tbl header end
    while parsing tbl font specifiers what caused man2html to hang on
    printf(1posix) man page (LP: #1666067).
  * man2html.cgi.c: fix a small typo found by lintian.
  * debian/copyright:
    + add Vcs-Git and Vcs-Browser fields;
    + bump Standards-Version to 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 19 Apr 2017 22:54:48 +0200

man2html (1.6g-8) unstable; urgency=medium

  * Add 035-source-date-epoch.patch to produce reproducible timestamps in
    documentation (closes: #796130).
  * Use `which index++' instead of checking the full /usr/bin/index++
    path to fix lintian's `command-with-path-in-maintainer-script'.
  * postinst: Drop old code for /u/s/d/man2html dir to symlink conversion.
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 26 Oct 2015 00:58:01 +0100

man2html (1.6g-7) unstable; urgency=low

  * utils.c: Fix querystring2argv() to create argv in case man2html and
    manwhatis scripts are run on http server (like lighttpd) that fails
    to do it by its own (closes: #729549, #630530, LP: #389582).
  * man2html.cron.weekly: set proper permissions for generated index
    file (closes: #729548).
  * manwhatis.c: Fix format string warnings (closes: #672821).
  * Refresh debian/patches with `gpb pq import; gbp pq export'.
  * Add 034-UTF8-charset.patch: set charset in `Content-type' header
    to UTF-8 (LP: #873102).
  * mansearch, utils.h: set `Content-type' charset to UTF-8 as well.
  * Switch build system to debhelper v9 and its tiny rules file:
    + make sure debian default CFLAGS, CPPFLAGS, and LDFLAGS are
      properly handled;
    + add support for cross-compiling;
    + ensure parallel builds work (closes: #653424);
    + enable LFS support (lintian).
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Nov 2013 23:57:03 +0100

man2html (1.6g-6) unstable; urgency=high

  * man2html.cgi.c: Validate user input and make some error messages less
    verbose to prevent XSS attacks (CVE-2011-2770).

 -- Robert Luberda <robert@debian.org>  Wed, 02 Nov 2011 20:45:18 +0100

man2html (1.6g-5) unstable; urgency=low

  * man2html.postinst: Convert the /u/s/d/man2html directory into a symlink
    pointing to man2html-base (closes: #616594).


=== debian/control ===
Source: man2html
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper-compat (= 13), dh-apache2 | apache2-dev
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Homepage: http://users.actrix.gen.nz/michael/vhman2html.html
Vcs-Git: https://salsa.debian.org/debian/man2html.git
Vcs-Browser: https://salsa.debian.org/debian/man2html

Package: man2html-base
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: manpages, manpages-dev
Multi-Arch: foreign
Description: convert man pages into HTML format
 The package contains a command-line tool for converting man pages into
 HTML format.
 .
 man2html-base is a stripped-down package containing only a man to HTML
 converter,  useful for users who do not need any CGI interface, provided
 in the man2html package.

Package: man2html
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: apache2 | httpd-cgi | lynx,
         gawk,
         man-db (>= 2.4.1),
         man2html-base (= ${binary:Version}),
         sensible-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: lynx | www-browser, swish++
Description: browse man pages in your web browser
 Point your web browser at http://localhost/cgi-bin/man/man2html to read and
 search your man pages in the browser.
 .
 This program needs a CGI-capable HTTP server.  After installation it might
 be required to manually enable CGI support in the HTTP server (CGI may be
 disabled by default for the security consideration).  For apache2, this can
 be done with the following:
 .
  $ sudo a2enmod cgid
  $ sudo systemctl restart apache2
 .
 Features:
  * Fast C CGI program for man/BSD-mandoc to HTML conversion.
  * Works from the unformatted nroff/troff source.
  * Source may be compressed.
  * Does tbl tables (but not eqn equations).
  * Generates hypertext links to foobar(1), abc@host, and xyzzy.h files
  * CGI script for whatis-based alpha-indexes by section.
  * CGI script for name-only alpha-indexes by section.
  * CGI script for full text search (requires swish++)
  * Front-end script to talk to a pre-launched netscape.

=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_OPTIONS := -v -Smakefile --parallel
DESTDIR         := $(CURDIR)/debian/tmp
TMPMAN          := debian/tmp.man
export DEBIAN_CFLAGS := -Wall -Wshadow $(shell getconf LFS_CFLAGS)
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS  := 1

include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC  := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC  := gcc
endif

%:
	dh "$@" --with apache2

override_dh_auto_configure:
	./configure -d +fhs

override_dh_auto_build:
	dh_auto_build $(DH_AUTO_OPTIONS) -- makefiles CC=$(CC)
	dh_auto_build $(DH_AUTO_OPTIONS) -- -C src version.h CC=$(CC)
	dh_auto_build $(DH_AUTO_OPTIONS) -- -C man2html CC=$(CC)
	dh_auto_build $(DH_AUTO_OPTIONS) -- -C debian/sources CC=$(CC)

override_dh_auto_clean:
	dh_auto_clean -v -Smakefile
	$(MAKE) -C  debian/sources clean
	rm -rf $(TMPMAN)

override_dh_installdirs:
	for pkg in $(shell dh_listpackages); do      \
	        dh_installdirs -p$$pkg -P$(DESTDIR); \
	done
	dh_installdirs

override_dh_auto_install:	
	dh_auto_install $(DH_AUTO_OPTIONS) -- -C man2html install  install-hman
	dh_auto_install $(DH_AUTO_OPTIONS) -- -C debian/sources install
	
	chown root:www-data $(DESTDIR)/var/cache/man2html
	chmod 0775 $(DESTDIR)/var/cache/man2html

override_dh_installman:
	mkdir -p $(TMPMAN)
	
	find man man2html/locales  \( -name 'man2html.*' -o -name 'hman.*' \)                   \
	        | while read mp; do                                                             \
	        lang=`echo $$mp| sed -e 's|.*/\(..\)/[^/]*$$|\1|'` ;                            \
	        file="$(TMPMAN)/`basename $$mp`";                                               \
	        [ "$$lang" != "en"  ] || continue;                                              \
	        case $$mp in                                                                    \
	                *hman*) pkg=man2html ;;                                                 \
	                *) pkg=man2html-base ;;                                                 \
	        esac;                                                                           \
	        echo "Installing $$mp man page ($$lang) into package $$pkg" ;                   \
	        tr -d '\015' < "$$mp" > "$$file" || exit 1;                                     \
	        dh_installman --package $$pkg --language "$$lang" "$$file"  || exit 1;          \
	done
	dh_installman

override_dh_installdocs:
	dh_installdocs  --link-doc=man2html-base man2html/README man2html/TODO

override_dh_fixperms:
	dh_fixperms -X cache

=== debian/watch ===
# control file for the uscan(1) tool
version=4
opts=dversionmangle=s/\+repack// \
http://primates.ximian.com/~flucifredi/man/man-([\d\.]+.*)\.tar\.gz
